Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Interfaces.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Interfaces.h	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Interfaces.h	(revision 75)
@@ -29,5 +29,5 @@
   private   : const std::string               _name;
   private   : const Tusage_t             _usage;
-  private   : list<Interface_fifo*>    * _list_interface;
+  private   : std::list<Interface_fifo*>    * _list_interface;
 
     // -----[ methods ]---------------------------------------------------
@@ -50,10 +50,10 @@
 #endif
   private   : std::string                get_interface         (void);
-  public    :list<Interface_fifo*>* get_interface_list    (void);
+  public    :std::list<Interface_fifo*>* get_interface_list    (void);
 
 #ifdef VHDL
   public    : void                  set_port              (Vhdl           * & vhdl          );
 #  ifdef VHDL_TESTBENCH
-  private   : void                  get_signal            (list<std::string>   * & list_signal   );
+  private   : void                  get_signal            (std::list<std::string>   * & list_signal   );
   private   : void                  set_signal            (Vhdl           * & vhdl          );
 #  endif
@@ -82,6 +82,6 @@
   public    : bool                  test_map              (bool top_level);
 
-  public    : friend ostream&       operator<<            (ostream& output_stream,
-  					  		   morpheo::behavioural::Interfaces & x);
+  public    : friend std::ostream&       operator<<            (std::ostream& output_stream,
+								morpheo::behavioural::Interfaces & x);
 
   };
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Signal.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Signal.h	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Signal.h	(revision 75)
@@ -66,5 +66,5 @@
 
 #ifdef VHDL_TESTBENCH
-  private   : list<std::string>        * _list_value    ;
+  private   : std::list<std::string> * _list_value    ;
 #endif
 
@@ -182,5 +182,5 @@
 
   public    : void              set_signal      (Vhdl * & vhdl);
-  public    : void              get_name_vhdl   (list<std::string> * & list_signal);
+  public    : void              get_name_vhdl   (std::list<std::string> * & list_signal);
 
   public    : void              testbench        (void);
@@ -193,6 +193,6 @@
   public    : XML               toXML           (void);
 
-  public    : friend ostream&   operator<<      (ostream& output_stream,
-						 morpheo::behavioural::Signal & x);
+  public    : friend std::ostream&   operator<<      (std::ostream& output_stream,
+						      morpheo::behavioural::Signal & x);
 
   };
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Stat.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Stat.h	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Stat.h	(revision 75)
@@ -94,4 +94,6 @@
     private : void               generate_file   (void);
 
+    private : bool               have_counter    (void);
+
     public  : void               add_stat        (Stat * stat);
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component.cpp	(revision 75)
@@ -15,5 +15,5 @@
   {
     log_printf(FUNC,Behavioural,"Component::Component","Begin");
-    _list_component = new list<Tcomponent_t *>;
+    _list_component = new std::list<Tcomponent_t *>;
     log_printf(FUNC,Behavioural,"Component::Component","End");
   };
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_find_entity.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_find_entity.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_find_entity.cpp	(revision 75)
@@ -11,5 +11,5 @@
 namespace behavioural          {
 
-  Entity * Component::find_entity (string name)
+  Entity * Component::find_entity (std::string name)
   {
     log_printf(FUNC,Behavioural,"Component::find_entity", "Begin");
@@ -22,5 +22,5 @@
       if (_list_component->empty()== false)
 	{
-	  list<Tcomponent_t *>::iterator i = _list_component->begin();
+	  std::list<Tcomponent_t *>::iterator i = _list_component->begin();
 	  
 	  while (i != _list_component->end())
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_get_component.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_get_component.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_get_component.cpp	(revision 75)
@@ -14,17 +14,17 @@
 #define FUNCTION "Component::get_component"
 
-  string Component::get_component (void)
+  std::string Component::get_component (void)
   {
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
 
     uint32_t               depth          = 0;
-    string                 separator      = "\n";
+    std::string                 separator      = "\n";
     bool                   last_separator = false;
 
-    list<Tcomponent_t *>::iterator  i  = _list_component->begin();
+    std::list<Tcomponent_t *>::iterator  i  = _list_component->begin();
     bool                   empty = _list_component->empty();
 
-    string                 tab   = string(depth,'\t');
-    ostringstream          text;
+    std::string                 tab   = std::string(depth,'\t');
+    std::ostringstream          text;
 
     if (not empty)
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_get_entity.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_get_entity.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_get_entity.cpp	(revision 75)
@@ -13,9 +13,9 @@
 #undef  FUNCTION
 #define FUNCTION "Component::get_entity"
-  string Component::get_entity (void)
+  std::string Component::get_entity (void)
   {
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
 
-    ostringstream text;
+    std::ostringstream text;
     text << *(_entity); 
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_interface_map.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_interface_map.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_interface_map.cpp	(revision 75)
@@ -14,8 +14,8 @@
 #undef  FUNCTION
 #define FUNCTION "Component::interface_map"
-  void Component::interface_map (string component_src ,
-				 string port_src      ,
-				 string component_dest,
-				 string port_dest     )
+  void Component::interface_map (std::string component_src ,
+				 std::string port_src      ,
+				 std::string component_dest,
+				 std::string port_dest     )
   {
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
@@ -24,5 +24,5 @@
     Entity * entity_dest = find_entity(component_dest);
 
-    string name_entity = _entity->get_name();
+    std::string name_entity = _entity->get_name();
 
     if (entity_dest == NULL)
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_port_map.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_port_map.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_port_map.cpp	(revision 75)
@@ -13,12 +13,12 @@
 #undef  FUNCTION
 #define FUNCTION "Component::port_map"
-  void Component::port_map (string component_src ,
-			    string port_src      ,
-			    string component_dest,
-			    string port_dest     )
+  void Component::port_map (std::string component_src ,
+			    std::string port_src      ,
+			    std::string component_dest,
+			    std::string port_dest     )
   {
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
 
-    string name_entity = _entity->get_name();
+    std::string name_entity = _entity->get_name();
 
     // First entity 
@@ -111,6 +111,6 @@
 
 
-  void Component::port_map (string component_src ,
-			    string port_src      )
+  void Component::port_map (std::string component_src ,
+			    std::string port_src      )
   {
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_print.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_print.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_print.cpp	(revision 75)
@@ -14,11 +14,11 @@
 #undef  FUNCTION
 #define FUNCTION "Component::operator<<"
-  ostream& operator<< (ostream& output_stream,
-		       morpheo::behavioural::Component & x)
+  std::ostream& operator<< (std::ostream& output_stream,
+			    morpheo::behavioural::Component & x)
   {
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
 
-    output_stream << x.get_entity    () << endl;
-    output_stream << x.get_component () << endl;
+    output_stream << x.get_entity    () << std::endl;
+    output_stream << x.get_component () << std::endl;
 
     log_printf(FUNC,Behavioural,FUNCTION,"End");
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_set_entity.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_set_entity.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_set_entity.cpp	(revision 75)
@@ -13,6 +13,6 @@
 #undef  FUNCTION
 #define FUNCTION "Component::set_entity"
-  Entity * Component::set_entity (string        name   
-				  ,string        type   
+  Entity * Component::set_entity (std::string        name   
+				  ,std::string        type   
 #ifdef POSITION
 				  ,schema_t      schema
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_signal_internal.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_signal_internal.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_signal_internal.cpp	(revision 75)
@@ -19,11 +19,11 @@
 
     // create name of internal's signal
-    string str_entity = entity_productor->get_name();
-    string str_signal = signal_productor->get_name();
+    std::string str_entity = entity_productor->get_name();
+    std::string str_signal = signal_productor->get_name();
     
     UpperCase (str_entity);
     UpperCase (str_signal);
     
-    string name_internal = "internal_"+str_entity+"_"+str_signal;
+    std::string name_internal = "internal_"+str_entity+"_"+str_signal;
     
     // test if internal's signal exist ... else, create
@@ -40,5 +40,5 @@
 	  throw (ErrorMorpheo ("<Component::port_map> Component \""+_entity->get_name()+"\", doesn't have an interface \"\"."));
 	
-	string signame = entity_productor->get_name()+"_"+signal_productor->get_name();
+	std::string signame = entity_productor->get_name()+"_"+signal_productor->get_name();
 	
 	// Signal's creation
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_test_map.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_test_map.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_test_map.cpp	(revision 75)
@@ -17,5 +17,5 @@
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
 
-    string name = _entity->get_name();
+    std::string name = _entity->get_name();
     bool test_ok = true;
     if (_list_component->empty () == true)
@@ -31,5 +31,5 @@
 	log_printf(INFO,Behavioural,FUNCTION, "Test all internal component");
 	
-	for (list<Tcomponent_t *>::iterator i= _list_component->begin();
+	for (std::list<Tcomponent_t *>::iterator i= _list_component->begin();
 	     i != _list_component->end();
 	     ++i)
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_toXML.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_toXML.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_toXML.cpp	(revision 75)
@@ -27,5 +27,5 @@
     if (_list_component->empty()== false)
       {
-	list<Tcomponent_t *>::iterator i = _list_component->begin();
+	std::list<Tcomponent_t *>::iterator i = _list_component->begin();
 
 	while (i != _list_component->end())
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_vhdl_instance.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_vhdl_instance.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_vhdl_instance.cpp	(revision 75)
@@ -19,5 +19,5 @@
 
     uint32_t             cpt = 0;
-    map<Signal *,string> tab;
+    std::map<Signal *,std::string> tab;
 
     // buffer all output
@@ -25,6 +25,6 @@
     {
       // for each interface
-      list<Interface_fifo *>         * list_interface = (_entity)->get_interfaces_list()->get_interface_list();
-      list<Interface_fifo *>::iterator j              = list_interface->begin();
+      std::list<Interface_fifo *>         * list_interface = (_entity)->get_interfaces_list()->get_interface_list();
+      std::list<Interface_fifo *>::iterator j              = list_interface->begin();
       if (not list_interface->empty())
 	{
@@ -36,6 +36,6 @@
 	    {
 	      // for each signal
-	      list<Signal *>         * list_signal = (*j)->get_signal_list();
-	      list<Signal *>::iterator k           = list_signal->begin();
+	      std::list<Signal *>         * list_signal = (*j)->get_signal_list();
+	      std::list<Signal *>::iterator k           = list_signal->begin();
 	      if (not list_signal->empty())
 		{
@@ -49,5 +49,5 @@
 			{
 			  // Create name
-			  string signal_name = "signal_"+toString(cpt++);
+			  std::string signal_name = "signal_"+toString(cpt++);
 			  
 			  tab [signal                           ] = signal_name;
@@ -76,6 +76,6 @@
 
     // for each entity
-    list<Tcomponent_t *>         * list_component = _list_component;
-    list<Tcomponent_t *>::iterator i              = list_component->begin();
+    std::list<Tcomponent_t *>         * list_component = _list_component;
+    std::list<Tcomponent_t *>::iterator i              = list_component->begin();
     if (not list_component->empty())
       {
@@ -90,9 +90,9 @@
 	    if (instance & INSTANCE_COMPONENT)
 	    {
-	      list<string> list_port_map;
+	      std::list<std::string> list_port_map;
 	      
 	      // for each interface
-	      list<Interface_fifo *>         * list_interface = entity->get_interfaces_list()->get_interface_list();
-	      list<Interface_fifo *>::iterator j              = list_interface->begin();
+	      std::list<Interface_fifo *>         * list_interface = entity->get_interfaces_list()->get_interface_list();
+	      std::list<Interface_fifo *>::iterator j              = list_interface->begin();
 	      if (not list_interface->empty())
 		{
@@ -100,6 +100,6 @@
 		    {
 		      // for each signal
-		      list<Signal *>         * list_signal = (*j)->get_signal_list();
-		      list<Signal *>::iterator k           = list_signal->begin();
+		      std::list<Signal *>         * list_signal = (*j)->get_signal_list();
+		      std::list<Signal *>::iterator k           = list_signal->begin();
 		      if (not list_signal->empty())
 			{
@@ -112,6 +112,6 @@
 				{
 				  Signal * signal_dest = signal_src->get_connect_to_signal();
-				  string   name_src    = signal_src->get_name();
-				  string   name_dest;
+				  std::string   name_src    = signal_src->get_name();
+				  std::string   name_dest;
 				  
 // 				// Test if destination signal is a interface port ?
@@ -119,5 +119,5 @@
 // 				  {
 				  // find if signal is already link
-				  map<Signal *,string>::iterator it = tab.find(signal_dest); 
+				  std::map<Signal *,std::string>::iterator it = tab.find(signal_dest); 
 				  if (tab.find(signal_dest) == tab.end())
 				    {
@@ -144,5 +144,5 @@
 // 				      {
 // 					// Take buffer's signal
-// 					map<Signal *,string>::iterator it = tab.find(signal_dest);
+// 					map<Signal *,std::string>::iterator it = tab.find(signal_dest);
 // 					name_dest        = (*it).second;
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Configuration_Parameters.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Configuration_Parameters.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Configuration_Parameters.cpp	(revision 75)
@@ -14,12 +14,12 @@
 #undef  FUNCTION
 #define FUNCTION "Configuration_Parameters::Configuration_Parameters"
-  Configuration_Parameters::Configuration_Parameters  (string   name   ,
+  Configuration_Parameters::Configuration_Parameters  (std::string   name   ,
 						       uint32_t value  ,
 						       uint32_t min    ,
 						       uint32_t max    ,
-						       string   step   ,
+						       std::string   step   ,
 						       uint32_t value_default,
 						       uint32_t level  ,
-						       string   comment):
+						       std::string   comment):
     _name    (name         ),
     _value   (value        ),
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Configuration_Parameters_print.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Configuration_Parameters_print.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Configuration_Parameters_print.cpp	(revision 75)
@@ -15,5 +15,5 @@
 #undef  FUNCTION
 #define FUNCTION "Configuration_Parameters::print"
-  string Configuration_Parameters::print (uint32_t depth)
+  std::string Configuration_Parameters::print (uint32_t depth)
   {
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
@@ -38,6 +38,6 @@
 #undef  FUNCTION
 #define FUNCTION "Configuration_Parameters::operator<<"
-  ostream& operator<< (ostream& output_stream,
-		       morpheo::behavioural::Configuration_Parameters & x)
+  std::ostream& operator<< (std::ostream& output_stream,
+			    morpheo::behavioural::Configuration_Parameters & x)
   {
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity.cpp	(revision 75)
@@ -11,6 +11,6 @@
 namespace behavioural          {
 
-  Entity::Entity  ( string       name   
-		   ,string       type  
+  Entity::Entity  ( std::string       name   
+		   ,std::string       type  
 #ifdef POSITION
 		   ,schema_t     schema
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity_find_interface.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity_find_interface.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity_find_interface.cpp	(revision 75)
@@ -13,5 +13,5 @@
 #undef  FUNCTION
 #define FUNCTION "Entity::find_interface"
-  Interface * Entity::find_interface (string name)
+  Interface * Entity::find_interface (std::string name)
   {
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity_find_signal.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity_find_signal.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity_find_signal.cpp	(revision 75)
@@ -13,5 +13,5 @@
 #undef  FUNCTION
 #define FUNCTION "Entity::find_signal"
-  Signal * Entity::find_signal (string name)
+  Signal * Entity::find_signal (std::string name)
   {
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity_get_comment.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity_get_comment.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity_get_comment.cpp	(revision 75)
@@ -15,8 +15,8 @@
 #undef  FUNCTION
 #define FUNCTION "Entity::get_comment"
-  string Entity::get_comment (void)
+  std::string Entity::get_comment (void)
   {
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
-    string _return = _comment;
+    std::string _return = _comment;
     log_printf(FUNC,Behavioural,FUNCTION,"End");
     return _return;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity_get_interfaces.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity_get_interfaces.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity_get_interfaces.cpp	(revision 75)
@@ -14,8 +14,8 @@
 #undef  FUNCTION
 #define FUNCTION "Entity::get_interfaces"
-  string Entity::get_interfaces (void)
+  std::string Entity::get_interfaces (void)
   {
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
-    ostringstream text;
+    std::ostringstream text;
     text << *(_interfaces); 
     log_printf(FUNC,Behavioural,FUNCTION,"End");
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity_get_name.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity_get_name.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity_get_name.cpp	(revision 75)
@@ -14,8 +14,8 @@
 #undef  FUNCTION
 #define FUNCTION "Entity::get_name"
-  string Entity::get_name (void)
+  std::string Entity::get_name (void)
   {
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
-    string _return = _name;
+    std::string _return = _name;
     log_printf(FUNC,Behavioural,FUNCTION,"End");
     return _return;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity_get_type.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity_get_type.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity_get_type.cpp	(revision 75)
@@ -14,8 +14,8 @@
 #undef  FUNCTION
 #define FUNCTION "Entity::get_type"
-  string Entity::get_type (void)
+  std::string Entity::get_type (void)
   {
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
-    string _return = _type;
+    std::string _return = _type;
     log_printf(FUNC,Behavioural,FUNCTION,"End");
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity_print.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity_print.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity_print.cpp	(revision 75)
@@ -14,16 +14,16 @@
 #undef  FUNCTION
 #define FUNCTION "Entity::operator<<"
-  ostream& operator<< (ostream& output_stream,
-		       morpheo::behavioural::Entity & x)
+  std::ostream& operator<< (std::ostream& output_stream,
+			    morpheo::behavioural::Entity & x)
   {
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
  
 #ifdef POSITION
-    output_stream << x._name + "\t"+x._type+"\t"+toString(x._schema) << endl;
-    output_stream << x.get_comment()    << endl;
+    output_stream << x._name + "\t"+x._type+"\t"+toString(x._schema) << std::endl;
+    output_stream << x.get_comment()    << std::endl;
 #else
-    output_stream << x._name + "\t"+x._type<< endl;
+    output_stream << x._name + "\t"+x._type<< std::endl;
 #endif
-    output_stream << x.get_interfaces() << endl;
+    output_stream << x.get_interfaces() << std::endl;
 
     log_printf(FUNC,Behavioural,FUNCTION,"End");
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity_set_comment.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity_set_comment.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity_set_comment.cpp	(revision 75)
@@ -15,5 +15,5 @@
 #undef  FUNCTION
 #define FUNCTION "Entity::set_comment"
-  void Entity::set_comment (string comment)
+  void Entity::set_comment (std::string comment)
   {
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface.cpp	(revision 75)
@@ -11,5 +11,5 @@
 namespace behavioural          {
 
-  Interface::Interface  (string                name         
+  Interface::Interface  (std::string                name         
 #ifdef POSITION
 			 ,direction_t           direction    
@@ -27,5 +27,5 @@
     log_printf(FUNC,Behavioural,"Interface","Begin");
 
-    _list_signal   = new (list<Signal*>);
+    _list_signal   = new (std::list<Signal*>);
 
 #ifdef POSITION
@@ -72,5 +72,5 @@
     if (_list_signal->empty()== false)
       {
-	list<Signal*>::iterator i = _list_signal->begin();
+	std::list<Signal*>::iterator i = _list_signal->begin();
 
 	while (i != _list_signal->end())
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_fifo.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_fifo.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_fifo.cpp	(revision 75)
@@ -11,5 +11,5 @@
 namespace behavioural          {
 
-  Interface_fifo::Interface_fifo  (string         name        
+  Interface_fifo::Interface_fifo  (std::string         name        
 #ifdef POSITION
 				   ,direction_t    direction   
@@ -28,10 +28,10 @@
     log_printf(FUNC,Behavioural,"Interface_fifo","Begin");
 
-    _list_signal_val = new (list<Signal*>);
-    _list_signal_ack = new (list<Signal*>);
+    _list_signal_val = new (std::list<Signal*>);
+    _list_signal_ack = new (std::list<Signal*>);
 
 #ifdef VHDL_TESTBENCH
     _test_exhaustive = true;
-    _list_cycle      = new list<uint32_t>;
+    _list_cycle      = new std::list<uint32_t>;
 #endif
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_fifo_set_signal.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_fifo_set_signal.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_fifo_set_signal.cpp	(revision 75)
@@ -11,5 +11,5 @@
 namespace behavioural          {
 
-  Signal * Interface_fifo::set_signal_valack (string          name     ,
+  Signal * Interface_fifo::set_signal_valack (std::string          name     ,
 					      direction_t     direction,
 					      val_ack_t       val_ack  ,
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_fifo_testbench_test.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_fifo_testbench_test.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_fifo_testbench_test.cpp	(revision 75)
@@ -12,10 +12,10 @@
 namespace behavioural          {
 
-  string Interface_fifo::testbench_test (Vhdl * & vhdl,
-					 string   counter_name,
-					 string   reset_name  )
+  std::string Interface_fifo::testbench_test (Vhdl * & vhdl,
+					 std::string   counter_name,
+					 std::string   reset_name  )
   {
     log_printf(FUNC,Behavioural,"testbench_test","Begin");
-    string test_name;
+    std::string test_name;
     
     if (_test_exhaustive == true)
@@ -28,7 +28,7 @@
 
 	       test_name        = testbench_test_name        (vhdl);
-	string test_name_tmp    = test_name+"_tmp";
-	string test_name_ok     = testbench_test_ok          (vhdl);
- 	string test_transaction = testbench_test_transaction (vhdl);
+	std::string test_name_tmp    = test_name+"_tmp";
+	std::string test_name_ok     = testbench_test_ok          (vhdl);
+ 	std::string test_transaction = testbench_test_transaction (vhdl);
 
 	vhdl->set_signal(test_name_tmp,1);
@@ -39,5 +39,5 @@
 	    vhdl->set_body ("\t"+test_name_tmp+" <=");
 	
-	    list<uint32_t>::iterator i = _list_cycle->begin();
+	    std::list<uint32_t>::iterator i = _list_cycle->begin();
 	    
 	    while (i != _list_cycle->end())
@@ -62,5 +62,5 @@
 
 	    uint32_t                 j = 0;
-	    list<uint32_t>::iterator i = _list_cycle->begin();
+	    std::list<uint32_t>::iterator i = _list_cycle->begin();
 	    
 	    while (i != _list_cycle->end())
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_fifo_testbench_test_transaction.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_fifo_testbench_test_transaction.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_fifo_testbench_test_transaction.cpp	(revision 75)
@@ -12,9 +12,9 @@
 namespace behavioural          {
 
-  string Interface_fifo::testbench_test_transaction (Vhdl * & vhdl)
+  std::string Interface_fifo::testbench_test_transaction (Vhdl * & vhdl)
   {
     log_printf(FUNC,Behavioural,"testbench_test_transaction","Begin");
     
-    string name = testbench_test_transaction_name(vhdl);
+    std::string name = testbench_test_transaction_name(vhdl);
 
     vhdl->set_body(name+" <= '1'");
@@ -23,5 +23,5 @@
     if (_list_signal_val->empty()== false)
       {
-	list<Signal*>::iterator i = _list_signal_val->begin();
+	std::list<Signal*>::iterator i = _list_signal_val->begin();
 
 	while (i != _list_signal_val->end())
@@ -35,5 +35,5 @@
     if (_list_signal_ack->empty()== false)
       {
-	list<Signal*>::iterator i = _list_signal_ack->begin();
+	std::list<Signal*>::iterator i = _list_signal_ack->begin();
 
 	while (i != _list_signal_ack->end())
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_fifo_testbench_transaction.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_fifo_testbench_transaction.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_fifo_testbench_transaction.cpp	(revision 75)
@@ -21,5 +21,5 @@
     if (_list_signal_val->empty()== false)
       {
-	list<Signal*>::iterator i = _list_signal_val->begin();
+	std::list<Signal*>::iterator i = _list_signal_val->begin();
 
 	while ((i != _list_signal_val->end()) and (res == true))
@@ -33,5 +33,5 @@
     if (_list_signal_ack->empty()== false)
       {
-	list<Signal*>::iterator i = _list_signal_ack->begin();
+	std::list<Signal*>::iterator i = _list_signal_ack->begin();
 
 	while ((i != _list_signal_ack->end()) and (res == true))
